/**
 * Created by YaXunWork on 2016/06/02.
 */
$(function(){
    $('.short-height-js').height( $('.long-height-js').outerHeight());

    //消息提示框
    function toast(title){
        $.toast(title, 1200);
    }

    //用药提醒
    $('.toggle-switch-js').on('click',function(){
        $(this).toggleClass('icon-up').parent().siblings('.toggle-js').toggle();
    });

    //忽略用药
    $('.hulve-js').on('click',function(){
        $.confirm('确认忽略？', '提示',function (){
            toast('已忽略')
        });
    });

    //药品服用
    $('.fuyong-js').on('click',function(){
        toast('已服用')
    });

    //表单switch按钮
    $('.switch-button-js').on('click',function(){
        var _checked=$(this).find('input').attr('checked'),
            _val=$(this).find('input').val();
        if(_checked){
            toast('已关闭')
        }else{
            $.modal({
                title:  '[提示]',
                text: _val,
                buttons: [
                    {
                        text: '修改',
                        bold: true,
                        onClick: function() {
                            $.alert('You clicked first button!')
                        }
                    },
                    {
                        text: '确定',
                        bold: true,
                        onClick: function() {
                            $.alert('You clicked second button!')
                        }
                    }
                ]
            })
        }
    });

    /*扫一扫点击显示*/
    $('.yp-more-btn-js').on('click',function(e){
        var $ym=$(this).siblings('.yp-more-js');
        if($ym.is(':hidden')){
            $ym.show();
        }else{
            $ym.hide();
        }
        e.stopPropagation();
    });
    $('.yp-more-js').on('click',function(e){
        e.stopPropagation();
    });
    $(document).on('click',function(){
        $('.yp-more-js').hide();
    });

    /*用药提醒设置-推迟用药提醒*/
    $(document).on('click','.eg-tx-time-js', function() {
        var $tx=$(this).find('input'),
            $txv=$('.tx-val-js');
        if($tx.prop('checked')){
            $txv.html($tx.val());
            $(this).parents('.eg-tx-time').hide();
            toast('已设置'+$tx.val()+'推迟');
            //$.closeModal('.popup-time');
        }
    });

    /*选择药品*/
    $('.medicinal-del-js').on('click',function(){
        $.confirm('是否删除该药？', '提示', function () {
            $.alert('You clicked 是');
        });
    });

    /*铃声卡片*/
    if($('.card-js').length>1){
        $('.card-js').parent('.bells-popup').css('display','block');
    }

    /*体检报告-头部下拉选择*/
    $('.tj-h-btn-js').on('click',function(){
        var $ym=$(this).siblings('.tj-h-more-js'),
            $icon=$(this).find('i');
        if($ym.is(':hidden')){
            $ym.show();
            $icon.removeClass('icon-down');
            $icon.addClass('icon-up');
        }else{
            $ym.hide();
       		$icon.addClass('icon-down');
            $icon.removeClass('icon-up');
        }
    });
    $('.tj-h-more-js').on('click','p',function(){
        var $f=$(this).parents('.tj-h-more-js'),
            $fs=$f.siblings('.tj-h-btn-js');
        $fs.find('span').text($(this).text());
        $f.hide();
        $fs.find('i').addClass('icon-down');
        $fs.find('i').removeClass('icon-up');
        load();
    });
//  $('.tj-h-more-js p').click(function(){
//      var $f=$(this).parents('.tj-h-more-js'),
//          $fs=$f.siblings('.tj-h-btn-js');
//      $fs.find('span').text($(this).text());
//      $f.hide();
//      $fs.find('i').removeClass('icon-up');
//  });

    /*体检关注*/
//  $('.gz-js').click(function() {
//      var _this = $(this);
//      if (_this.hasClass('y-gz')) {
//          _this.removeClass('y-gz').text('+关注');
//          toast('取消关注');
//      }else{
//          _this.addClass('y-gz').text('已关注');
//          toast('关注成功');
//      }
//  });

    /*清空搜索框*/
    $('.search-js').focus(function(){
        $(this).siblings('.search-del-js').show();
    });
    $('.search-del-js').click(function(){
        $(this).siblings('.search-js').val('');
        $(this).hide();
    });

    /*体检报告-添加指标*/
    $('.add-zb-js').click(function(){
        var zb_html='<li class="relative borHalf-solid">'+
                            '<dl class="flex-box">'+
                            '<dt class="flex-items items-flex ellipsis relative boxSiz">'+
                            '<i class="iconfont icon-jiantou f12 ml5 mr2 pos-left"></i>'+
                            '<label class="pl20 block  boxSiz">'+
                            '<input type="text" class="border-gray full gray-bg0 lh25 boxSiz pl2 pr2  input-onfocus-js gray" value="请输入指标名称">'+
                            '</label>'+
                            '</dt>'+
                            '<dd class="flex-items ellipsis relative">'+
                            '<label class="block pl5 pr5">'+
                            '<input type="text" class="border-gray full gray-bg0 lh25 boxSiz pl2 pr2 tc input-onfocus-js gray" value="点击输入">'+
                            '</label>'+
                            '</dd>'+
                            '<dd class="flex-items  tc ellipsis">'+
                            '<i class="iconfont icon-dabing f25 gray"></i>'+
                            '</dd>'+
                            '</dl>'+
                            '</li>';
        $('.zb-wrap-js').append(zb_html);
    });

    /*创建检查项目*/
    $('.b-item-js').click(function(){
        var bi=$('#b-items'),
            bi_text=bi.find('input').val();
        if(bi_text=='请输入检查项目'){
            toast('未输入检查项目');
        }else{
            bi.submit();
        }
    });

    /*体检报告结论-左拉*/
    $('.remove-panel-js').on('click',function(){
        var $rs_panerl_w=$('.panel-open-js');
        if($rs_panerl_w.hasClass('open')){
            $rs_panerl_w.removeClass('open bs');
        }else{
            $rs_panerl_w.addClass('open bs');
        }
    });
    $('.panel-open-js').on('click','#anchorlist+div ul li',function(){
    	$('.panel-open-js').removeClass('open bs');
    })
    $('.remove-panel-js1').on('click',function(){
        var $rs_panerl_w=$('.panel-open-js1');
        if($rs_panerl_w.hasClass('open')){
            $rs_panerl_w.removeClass('open bs');
        }else{
            $rs_panerl_w.addClass('open bs');
        }
    });
    $('.panel-open-js1').on('click','ul li',function(){
    	$('.panel-open-js1').removeClass('open bs');
    })
    $('.remove-panel-js2').on('click',function(){
        var $rs_panerl_w=$('.panel-open-js2');
        if($rs_panerl_w.hasClass('open')){
            $rs_panerl_w.removeClass('open bs');
        }else{
            $rs_panerl_w.addClass('open bs');
        }
    })
    $('.panel-open-js2').on('click','ul li',function(){
    	$('.panel-open-js2').removeClass('open bs');
    })

    //点击下拉
    $('.drop-down-b-js').on('click',function(){
        $(this).find('i').toggleClass('icon-down').parent().siblings('.drop-down-c-js').toggle();
    });

    //添加用户
    $('.add-other-js').on('click',function(){
        var _ati=$(this).parent().siblings('.add-other-input-js');
        if(_ati.is(':hidden')){
            _ati.css('display','block').find('input').focus();
        }
    });
    $(document).on('keydown',function(e){
        var t=true,
            _addB=$('.add-other-input-js'),
            _addVal=_addB.find('input').val(),
            _addList=_addB.siblings('ul').find('li'),
            _html='<li class="flex-items-rowtwo">'+
                  '<span class="block"><b class="f18 mr5">+</b><em>'+_addVal+'</em></span>'+
                  '</li>';
        if(e.keyCode==13){
            _addList.each(function(){
                if(_addVal==$(this).find('em').text()){
                    t=false;
                    return false;
                }
            });
            if(_addVal==''){
                toast('请输入添加的用户')
            }else if(!t){
                toast('用户重复')
            }else{
                _addB.siblings('ul').find('.add-other-js').before(_html);
            }
        }
    });

    /*上传图片的高与宽*/
    $('.r-addimg-wrap-js').height(function(){
        return $(this).width();
    });

    /*上传图片判断个数*/
//  $('.add-img-button-js').on('click',function(e){
//      e.preventDefault();
//      var _img_num=$(this).parent().siblings('.addedImg-js').length;
//      if(_img_num>=9){
//          toast('最多上传9张图片')
//      }else{
//          $(this).siblings('input').click();
//      }
//  });

    /*只是详情-更多*/
    $('.more-js').on('click',function(){
        var _val=$(this).find('span').text();
        if(_val=='更多'){
            $(this).find('span').text('收起')
                .end()
                .find('i').addClass('icon-up')
                .end()
                .siblings().removeClass('inthreeline');
        }else{
            $(this).find('span').text('更多')
                .end()
                .find('i').removeClass('icon-up')
                .end()
                .siblings().addClass('inthreeline');
        }
    });
    /*指示详情-切换*/
    $('.switch-js').on('click',function(){
        var _index=$(this).index();
        $(this).addClass('active').siblings().removeClass('active')
               .end()
               .parent().siblings('.switch-c-js').eq(_index).show()
               .siblings('.switch-c-js').hide();
    });


    /*
    * *******************************************************************************************
    * *******************************************************************************************
    * */

    /*添加用药提醒-日*/
    $("#day").picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p></div>',
        cols: [
            {
                textAlign: 'center',
                values: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10']
            }
        ]
    });

    /*添加用药提醒-次*/
    $("#times").picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p></div>',
        cols: [
            {
                textAlign: 'center',
                values: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10']
            }
        ]
    });

    /*添加用药提醒-服药时间*/
    $(".time").picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p></div>',
        inputReadOnly:true,
        cols: [
            {
                textAlign: 'center',
                values: ['00','01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24']
            },
            {
                textAlign: 'center',
                values: [':']
            },
            {
                textAlign: 'center',
                values: ['00','01', '02', '03', '04', '05', '06', '07', '08', '09', '10','11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '25', '26', '27', '28', '29', '30','31', '32', '33', '34', '35', '36', '37', '38', '39', '40', '41', '42', '43', '44', '45', '46', '47', '48', '49', '50', '51', '52', '53', '54', '55', '56', '57', '58', '59', '60']
            }
        ]
    });

    /*添加用药提醒-用量*/
    $("#dosage").picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p></div>',
        inputReadOnly:true,
        cols: [
            {
                textAlign: 'center',
                values: ['0','1', '2', '3', '4', '5', '6', '7', '8', '9', '10','11','12','13','14','15','16','17','18','19','20']
            },
            {
                textAlign: 'center',
                values: ['.']
            },
            {
                textAlign: 'center',
                values: ['00','01', '02', '03', '04', '05', '06', '07', '08', '09', '10','11','12','13','14','15','16','17','18','19','20']
            },
            {
                textAlign: 'center',
                values: ['片', 'g', 'mg']
            }
        ]
    });

    /*添加用药提醒-用餐结构*/
    $("#eat").picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p></div>',
        inputReadOnly:true,
        cols: [
            {
                textAlign: 'center',
                values: ['餐前','餐后']
            }
        ]
    });

    /*添加用药提醒-开始时间*/
    $("#begin").datetimePicker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p></div>',
        inputReadOnly:true,
        value: ['1950', '01', '01', '0', '00']
    });

    /*添加用药提醒-结束时间*/
    $("#end").datetimePicker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p></div>',
        inputReadOnly:true,
        value: ['1950', '01', '01', '0', '00']
    });

    /*保存用药提醒*/
    $(document).on('click','.save-tx-js', function () {
        $.confirm('是否保存我的用药提醒？', '提示', function () {
            $.alert('You clicked 是');
        });
    });

    /*删除用药提醒*/
    $(document).on('click','.del-tx-js', function () {
        $.confirm('是否删除该药提醒？', '提示', function () {
            $.alert('You clicked 是');
        });
    });


    /*用药提醒设置-放弃设置提醒*/
    $(document).on('click','.fq-tx-js', function() {
        $.confirm('是放弃本次用药提醒？', '提示', function () {
            $.alert('You clicked 是');
        });
    });

    /*初始化日历*/
//  $('.date-js').each(function(){
//      $(this).calendar({
//          inputReadOnly:true,
//          value: [$(this).val()]
//      });
//  });

    /*用药提醒-选择自定义图片*/
    $(document).on('click','.system-img-js', function () {
        var buttons1 = [
            {
                text: '拍照',
                bold: true,
                onClick: function() {
                    $.alert("你选择了A");
                }
            },
            {
                text: '从手机相册选择',
                onClick: function() {
                    $.alert("你选择了B");
                }
            }
        ];
        var buttons2 = [
            {
                text: '取消'
            }
        ];
        var groups = [buttons1, buttons2];
        $.actions(groups);
    });

    /*体检报告操作*/
    $(document).on('click','.tj-report-js', function () {
    	var t=this;
        var buttons1 = [
            {
                text: '删除',
                bold: true,
                onClick: function() {
                    scbg(t)
                }
            }
        ];
        var buttons2 = [
            {
                text: '取消'
            }
        ];
        var groups = [buttons1, buttons2];
        $.actions(groups);
    });

    /*添加体检报告（照片）-操作*/
//  $(document).on('click','.r-addimg-button-js', function () {
//  	xzbgtp();
//  });

    /*添加体检报告（照片）-删除*/
    /*$(document).on('click','.addimg-del-js', function () {
        $.confirm('要删除这张照片嘛?', function () {
            $.alert('点击了是');
        });
    });*/

    /*添加家庭成员*/
    $(document).on('click','.add-user-js', function () {
    	var t=this;
        $.prompt('填写添加成员的姓名', function (value) {
        	if(value == ''){
        		 $.toast('请至少输入一个字', 1200);return;
        	}
        	var dd=new Date().Format("yyyy-MM-dd hh:mm:ss");
			api.ajax({
		       	url:domain+'my_jtcy_add_cy.html',
		       	method: 'post',
		       	data: {
		       		values:{
						datetime:dd,secretkey:hex_md5(dd+skey),userid:userid,
						relationship:value,
					}
		       	}
			},function(ret,err){
				if (ret) {
					if (ret.error!=null) {
		        		api.alert({msg:ret.error});
		        	}else{
			        	var html='';
			            html+='<li class="flex-items-rowfour mb5">';
			                html+='<label  class="i-b relative">';
			                    html+='<input type="radio" name="user" class="none r-h-search" value="'+value+'">';
			                    html+='<i class="iconfont icon-gou green f-checked none search-del"></i>';
			                    html+='<span class=" add-f-icon tc green-bg f30 white"><i class="icon icon-friends"></i></span>';
			                    html+='<span class="block lh25 f14">'+value+'</span>';
			                html+='</label>';
			            html+='</li>';
			            $(t).before(html);
			            $('#rs_list li label input').each(function(){
							if($(this).val()==value){
								$(this).prop('checked',true);
							}
						})
					}
				}else{
					api.alert({
			        	msg :  ('错误码：'+err.code+'；错误信息：'+err.msg+'网络状态码：'+err.statusCode)
			      	})
				}
			})
        });
    });

    /*检查报告-侧拉框*/
    $('.tj-items-js').on('click','li',function(){
        $(this).removeClass('gray-bg1').siblings('li').addClass('gray-bg1')
        $(this).parent().next().children('#sub'+$(this).index()).show().siblings().hide();
    });

    /*仿select*/
    $('#xmzb_list').on('change','.f-select-js',function(){
        $(this).siblings('span').text($(this).val());
    });

    /*个人中心-个人信息*/
    
    /*性别*/
    $('#user-gender-js').picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray ">取消</p><p class="close-picker fr pr20 gray">确定</p><p class="tc f16 green fb">性别</p></div>',
        inputReadOnly:true,
        cols: [
            {
                textAlign: 'center',
                values: ['男','女']
            }
        ]
    });
    /*身高*/
    $('#user-stature-js').picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p><p class="tc f16 green fb">身高</p></div>',
        inputReadOnly:true,
        cols: [
            {
                textAlign: 'center',
                values: ['0','1', '2']
            },
            {
                textAlign: 'center',
                values: ['0','1', '2', '3', '4', '5', '6', '7', '8', '9']
            },
            {
                textAlign: 'center',
                values: ['0','1', '2', '3', '4', '5', '6', '7', '8', '9']
            }
        ],
        formatValue:function (picker, value, displayValue){
        	var re=''
        	$.each(value,function(k,v){
        		if(v!='0') re+=v;
        	})
        	return re;
        }
    });
    /*体重*/
    $('#user-weight-js').picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p><p class="tc f16 green fb">体重</p></div>',
        inputReadOnly:true,
        cols: [
            {
                textAlign: 'center',
                values: ['0','1']
            },
            {
                textAlign: 'center',
                values: ['0','1', '2', '3', '4', '5', '6', '7', '8', '9']
            },
            {
                textAlign: 'center',
                values: ['0','1', '2', '3', '4', '5', '6', '7', '8', '9']
            }
        ],
        formatValue:function (picker, value, displayValue){
        	var re=''
        	$.each(value,function(k,v){
        		if(v!='0') re+=v;
        	})
        	return re;
        }
    });
    /*血型*/
    $('#user-blood-js').picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 gray">取消</p><p class="close-picker fr pr20 gray">确定</p><p class="tc f16 green fb">血型</p></div>',
        inputReadOnly:true,
        cols: [
            {
                textAlign: 'center',
                values: ['A','B', 'AB', 'O']
            }
        ]
    });

    /*设置-修改密码*/
    $('.psw-set-js').on('click',function(){
        $('.psw-set-c-js').show();
    });
    $('.closed-slw-js').on('click',function(){
        $('.psw-set-c-js').hide();
    });

	/*病史*/
	$('.bs-items li').on('click',function(){ 
		$(this).toggleClass('on');
	})


	/********************私人医生--个人端*********/
    /*查看详情*/
    $('.text-more-jq').on('click',function(){
        var _text = $('.text-more-jq').text();
        if(_text == '查看详情'){
            $(this).html("收起<i class='icon icon-up f14 pl5'></i>");
            $(this).prev().children().removeClass('inthreeline');
        }else if(_text == '收起'){
            $(this).html("查看详情<i class='icon icon-down f14 pl5'></i>");
            $(this).prev().children().addClass('inthreeline');
        }
    });

    /*私人03-04*/
    $('.jiahao-alert-jq').on('click',function(){
        $(this).parents('.print-bar').next().toggle();
    });

    /*私人06-07*/
    $('.pay-way-jq').on('click',function(){
        var _input = $(this).find('input');
        if(_input.is(':checked')){
            $(this).find('.iconfont').attr('class','iconfont icon-succeed-02 green fr');
            $(this).siblings().find('.iconfont').attr('class','iconfont icon-circle fr');
        }
    });

    $('.reward-money-jq').on('input',function(){
        var _text = $('.reward-money-jq').val();
        if(_text <= 0){
            $('.reward-button-jq').attr('disable',true).css('opacity','.5');
            $('.money-count-jq').text('0.00');
        }else{
            $('.reward-button-jq').attr('disable',false).css('opacity','1');
            $('.money-count-jq').text(_text);
        }
    });
    
    $('.radio-doc-js').click(function(){
        var _checked = $(this).find('input');
        var _i = $(this).find('i');
        if(_checked.prop('checked')){
            _i.removeClass('icon-circle').addClass('icon-radioActive');
        }else{
            _i.removeClass('icon-radioActive').addClass('icon-circle');
        }
    });
    
    /*医生端29*/
    $('.radio-linkman-js').click(function(){
        var _input = $(this).find('input');
        if(_input.is(':checked')){
            $(this).children('i').attr('class','iconfont icon-radioActive green tx radio-linkman');
            $(this).parent().siblings('li').find('i').attr('class','iconfont icon-circle gray tx radio-linkman');
        }
    });


    /*选择银行*/
//  $('#choose-bank-js').picker({
//      toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 green">取消</p><p class="close-picker fr pr20 green">确定</p></div>',
//      inputReadOnly:true,
//      cols: [
//          {
//              inputReadOnly:true,
//              textAlign: 'center',
//              values: ['中国银行','建设银行','工商银行','农业银行','邮政储蓄']
//          }
//      ]
//  });

//  /*开户省*/
//  $('#province_block').picker({
//      //toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 green">取消</p><p class="close-picker fr pr20 green">确定</p></div>',
//      toolbarTemplate:'<div class="picker-header lh35 f14 clearfix tc"><p>请选择</p><p style="right:0;top:0"class="close-picker absolute pr20 green">确定</p></div>',
//      inputReadOnly:true,
//      cols: [
//          {
//              inputReadOnly:true,
//              textAlign: 'center',
//              displayValues: ['上海','浙江','湖北','江苏','湖南'],
//              values:['1','2','3','4','5']
//          }
//      ],
//      formatValue: function(picker,value,displayValue){
//      	$('#province').val(displayValue);
//      	$('#province').attr('realValue',value);
//      }
//  });
//
//
//  /*开户市*/
//  $('#open-city-js').picker({
//      toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 green">取消</p><p class="close-picker fr pr20 green">确定</p></div>',
//      inputReadOnly:true,
//      cols: [
//          {
//              inputReadOnly:true,
//              textAlign: 'center',
//              values: ['杭州市','温州市','宁波市','无锡市','嘉兴市'],
//              displayValues:['1','2','3','4','5']
//          }
//      ],
//      formatValue: function(picker,value,displayValue){
//      }
//  });

    /*私人医生短50*/
    $('.radio-send-js').on('click',function(){
        var _radio = $(this).children("input[type='radio']");
        if(_radio.is(':checked')){
            $(this).children('i').attr('class','iconfont icon-dx-on green f15');
            $(this).parent().siblings().find('i').attr('class','iconfont icon-dx f15');
        }
    });

    /*删除标签*/
    $('.icon-shanchu-js').on('click',function(){
        $(this).parents('p').hide();
    });

    /*弹出层 发提醒*/
    $('.send-remind-btn-jq').on('click',function(){
        $('.remind-layer-js').show();
    });

    $('.remind-sure-btn-jq').on('click',function(){
        $('.remind-layer-js').hide();
    });

    /*弹出层 贴标签*/
    $('.send-tag-btn-js').on('click',function(){
        $('.tag-layer-js').show();
    });

    $('.tag-sure-btn-jq').on('click',function(){
        $('.tag-layer-js').hide();
    });

    /*私人-个人端 55*/
    $('.anonymity-comment-js').on('click',function(){
        var _checkbox = $(this).children("input[type='checkbox']");
        if(_checkbox.is(':checked')){
            $(this).children('i').attr('class','iconfont icon-succeed-02 green fl f20');
        }else{
            $(this).children('i').attr('class','iconfont icon-circle green fl f20');
        }
    });

    /*私人-个人端 56*/
    $('.comment-star-jq').children('i').on('click',function () {
        $(this).attr('class','iconfont icon-stars-active').prevAll().attr('class','iconfont icon-stars-active');
        $(this).nextAll().attr('class','iconfont icon-stars');
    });

    /** 资讯-02   ****/
    $('.message-bar-jq').children('li').on('click',function(){
        var $index = $(this).index();
        $(this).children('span').addClass('active').parent().siblings().children().removeClass('active');
        $(this).parent().siblings('div').children().eq($index).show().siblings().hide();
    });


    /** 资讯-03   ****/
    /*字体缩放*/
    $('.font-zoom-jq').click(function(){
        var $parent = $(this).parents('.art-det-jq');
        if($parent.hasClass('f13')){
            $parent.addClass('f15').removeClass('f13');
        }else if($parent.hasClass('f15')){
            $parent.addClass('f13').removeClass('f15');
        }
    });

	/*私人医生-80*/
    $('.only-send-doc-jq').on('click',function(){
        var $checkbox = $(this).children("input[type='checkbox']");
        if($checkbox.is(':checked')){
            $(this).children('i').removeClass('icon-circle').addClass('icon-radioActive');
        }else{
            $(this).children('i').removeClass('icon-radioActive').addClass('icon-circle');
        }
    });

    /*私人-82*/
//  $('.small-chair-bar-jq').children('dd').on('click',function(){
//      var $index = $(this).index();
//      $(this).addClass('active').siblings().removeClass('active');
//      $(this).parent().next().children().eq($index).show().siblings().hide();
//  });


    /*私人医生-个人信息-12*/
    /*性别*/
//  $('#sex-js').picker({
//      toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 green">取消</p><p class="close-picker fr pr20 green">确定</p></div>',
//      inputReadOnly:true,
//      cols: [
//          {
//              inputReadOnly:true,
//              textAlign: 'center',
//              values: ['男','女']
//          }
//      ]
//  });
//
//  /*职位*/
//  $('#job-js').picker({
//      toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 green">取消</p><p class="close-picker fr pr20 green">确定</p></div>',
//      inputReadOnly:true,
//      cols: [
//          {
//              inputReadOnly:true,
//              textAlign: 'center',
//              values: ['医生','主任','主治医师','护士','药师']
//          }
//      ]
//  });

/*****启动注册页面-11******/
    $('#checkHos-jq').picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 green">取消</p><p class="close-picker fr pr20 green">确定</p></div>',
        inputReadOnly:true,
        cols: [
            {
                inputReadOnly:true,
                textAlign: 'center',
                values: ['上海长江医院','江苏长江医院','无锡长江医院','湖北长江医院','武汉长江医院']
            }
        ]
    });

    $('#checkPost-jq').picker({
        toolbarTemplate: '<div class="picker-header lh35 f14 clearfix"><p class="close-picker fl pl20 green">取消</p><p class="close-picker fr pr20 green">确定</p></div>',
        inputReadOnly:true,
        cols: [
            {
                inputReadOnly:true,
                textAlign: 'center',
                values: ['医生','护士','主治医生','全科医师']
            }
        ]
    });

    /*启动注册页面 17*/
    $('.agree-jq').on('click',function(){
       var $checked = $(this).children("input[type='checkbox']").prop('checked');
        if($checked){
            $(this).find('.iconfont').removeClass('icon-circle').addClass('icon-radioActive');
        }else{
            $(this).find('.iconfont').removeClass('icon-radioActive').addClass('icon-circle');
        }
    });

    /*健康服务-22*/
    $('.doc-more-jq').on('click',function(){
        var $text = $(this).prev();
        if($text.hasClass('infiveline')){
            $text.removeClass('infiveline');
            $(this).html('收起<i class="icon icon-up pl10"></i>');
            $('.toggle-jq').hide();
            $('.hos-name-jq').show();
            $('.hos-address-jq').attr('class','hos-address-jq f15 tl pl20 pt5 pb5');
        }else if(!$text.hasClass('infiveline')){
            $text.addClass('infiveline');
            $(this).html('查看更多<i class="icon icon-down pl10"></i>');
            $('.toggle-jq').show();
            $('.hos-name-jq').hide();
            $('.hos-address-jq').attr('class','hos-address-jq f12');
        }
    });

    /*启动注册页面 15*/
    $(document).on('click','.open-login-jq', function () {
        $.popup('.popup-login-jq');
    });

    /*健康服务-27*/
    $('.other-address-jq').on('click',function(){
        var $checkbox = $(this).children("input[type='checkbox']");
        if($checkbox.is(':checked')){
            $(this).parent().addClass('active').siblings().removeClass('active');
            $(this).children('i').removeClass('none');
            $(this).parent().siblings('li').find('i').addClass('none');
        }
    });

    /*健康服务-37*/
    $('.new-baby-jq').on('click',function(){
        var $checkbox = $(this).children("input[type='checkbox']");
        if($checkbox.is(':checked')){
            $(this).find('.iconfont').removeClass('icon-dx').addClass('icon-dx-on');
        }else{
            $(this).find('.iconfont').removeClass('icon-dx-on').addClass('icon-dx');
        }
    });
    
     /*我的服务-新*/
    $('.private-service-choose-jq').on('click',function(){
        $(this).children('.icon').toggleClass('icon-right').toggleClass('icon-down');
        $(this).siblings().toggle();
    });

    $('.private-choose-list-jq').children().on('click',function(){
        $(this).addClass('active').siblings().removeClass('active');
    });
    
    /*2016-10-19 体检预约文件夹*/

    /*健康服务-14*/
    /*显示隐藏*/
    $('.choose-bar-side-jq').children('li').on('click',function(){
        var _index = $(this).index();
        $(this).children('i').addClass('icon-down').removeClass('icon-up');
        $(this).siblings().children('i').addClass('icon-up').removeClass('icon-down');
        $(this).parent().siblings().eq(_index).show().siblings('div').hide();
    });

    /*地区*/
    $('.choose-address-jq').find('span').on('click',function(){
        var _text = $(this).text();
        $('.choose-bar-side-jq').children().eq(0).find('span').text(_text);
        $(this).parents('.choose-address-jq').hide();
        $(this).addClass('active').parent('li').siblings().children().removeClass('active');
        $(this).addClass('active').parents('ul').siblings('ul').find('span').removeClass('active');
    });

    /*筛选*/
    /*体检类型*/
    $('.choose-active-jq').on('click','span',function(){
        $(this).addClass('active').parent().siblings().children().removeClass('active');
    });

    /*重置按钮*/
    $('.choose-reset-btn-jq').on('click','button',function(){
        $('.choose-filter').find('span').removeClass('active');
    });

    /*确定按钮*/
    $('.choose-sure-btn-jq').on('click','button',function(){
        $('.choose-filter').hide();
    })

    /*健康服务-52*/
    $('.radio-inspect-jq').click(function(){
        var _input = $(this).find('input');
        if(_input.is(':checked')){
            $(this).children('i').attr('class','iconfont icon-radioActive green');
            $(this).parent().siblings('li').find('i').attr('class','iconfont icon-circle gray');
        }
    });



    $.init();
});